PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchPreCheck

Prepares the line search for being applied.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchPreCheck(SNESLineSearch linesearch,Vec X,Vec Y,PetscBool *changed)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - The linesearch instance.
| X | - The current solution
| Y | - The step direction

### Output Parameters

| changed | - Indicator that the precheck routine has changed anything

### See Also

SNESGetLineSearch(), SNESLineSearchPostCheck(), SNESLineSearchSetPreCheck(), SNESLineSearchGetPreCheck(), SNESLineSearchSetPostCheck(), SNESLineSearchGetPostCheck()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages